<?php

/**
 * TechDivision\Import\Loggers\ProcessorFactoryInterface
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 *
 * PHP version 5
 *
 * @author    Tim Wagner <t.wagner@techdivision.com>
 * @copyright 2019 TechDivision GmbH <info@techdivision.com>
 * @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 * @link      https://github.com/techdivision/import
 * @link      http://www.techdivision.com
 */

namespace TechDivision\Import\Loggers;

use TechDivision\Import\Configuration\Logger\ProcessorConfigurationInterface;

/**
 * Interface for processor factory implementations.
 *
 * @author    Tim Wagner <t.wagner@techdivision.com>
 * @copyright 2019 TechDivision GmbH <info@techdivision.com>
 * @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 * @link      https://github.com/techdivision/import
 * @link      http://www.techdivision.com
 */
interface ProcessorFactoryInterface
{

    /**
     * Creates a new processor instance based on the passed configuration.
     *
     * @param \TechDivision\Import\Configuration\Logger\ProcessorConfigurationInterface $processorConfiguration The processor configuration
     *
     * @return object The processor instance
     */
    public function factory(ProcessorConfigurationInterface $processorConfiguration);
}
